## visad.data
Class CacheStrategy

    java.lang.Object
      visad.data.CacheStrategy

public class CacheStrategy
extends Object

Constructor Summary
`CacheStrategy()`

Method Summary
`int` `allocate(FlatField[] adaptedFlatFields, boolean[] adaptedFlatFieldDirty, long[] adaptedFlatFieldSizes, long[] adaptedFlatFieldTimes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheStrategy

    public CacheStrategy()

Method Detail

### allocate

    public int allocate(FlatField[] adaptedFlatFields,
                        boolean[] adaptedFlatFieldDirty,
                        long[] adaptedFlatFieldSizes,
                        long[] adaptedFlatFieldTimes)